package com.sqx.modules.printInfo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.printInfo.entity.PrintInfo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2022-11-04
 */
public interface PrintInfoService extends IService<PrintInfo> {
    Result selectPrintInfoList(Integer page, Integer limit);

    Result insertPrintInfo(PrintInfo PrintInfo);

    Result updatePrintInfo(PrintInfo PrintInfo);

    Result selectPrintInfoById(Integer id);

    Result deletePrintInfo(Integer id);

    List<PrintInfo> printInfos();

    int existInfo(Integer type,String field);

    PrintInfo existInfoData(Integer type,String field);
}
